<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxEdgeStyle (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxEdgeStyle (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxEdgeStyle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.view</a></div>
<h2 title="Class mxEdgeStyle" class="title">Class mxEdgeStyle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.view.mxEdgeStyle</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxEdgeStyle</span>
extends java.lang.Object</pre>
<div class="block">Provides various edge styles to be used as the values for
 mxConstants.STYLE_EDGE in a cell style. Alternatevly, the mxConstants.
 EDGESTYLE_* constants can be used to reference an edge style via the
 mxStyleRegistry.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></span></code></th>
<td class="colLast">
<div class="block">Defines the requirements for an edge style function.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BOTTOM">BOTTOM</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BOTTOM_MASK">BOTTOM_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CENTER_MASK">CENTER_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static double[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dirVectors">dirVectors</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ElbowConnector">ElbowConnector</a></span></code></th>
<td class="colLast">
<div class="block">Uses either SideToSide or TopToBottom depending on the horizontal
 flag in the cell style.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#EntityRelation">EntityRelation</a></span></code></th>
<td class="colLast">
<div class="block">Provides an entity relation style for edges (as used in database
 schema diagrams).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hozBendProportion">hozBendProportion</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int[][][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#inlineRoutePatterns">inlineRoutePatterns</a></span></code></th>
<td class="colLast">
<div class="block">Overriden routing patterns for orthogonal connections
 where the vertices have</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LEFT">LEFT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LEFT_MASK">LEFT_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static double[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#limits">limits</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#Loop">Loop</a></span></code></th>
<td class="colLast">
<div class="block">Provides a self-reference, aka.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orthBuffer">orthBuffer</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#OrthConnector">OrthConnector</a></span></code></th>
<td class="colLast">
<div class="block">An orthogonal connector that avoids connecting vertices and 
 respects port constraints</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RIGHT">RIGHT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RIGHT_MASK">RIGHT_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int[][][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#routePatterns">routePatterns</a></span></code></th>
<td class="colLast">
<div class="block">The default routing patterns for orthogonal connections</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SegmentConnector">SegmentConnector</a></span></code></th>
<td class="colLast">
<div class="block">Implements an orthogonal edge style.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SIDE_MASK">SIDE_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SideToSide">SideToSide</a></span></code></th>
<td class="colLast">
<div class="block">Provides a vertical elbow edge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SOURCE_MASK">SOURCE_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TARGET_MASK">TARGET_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TOP">TOP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TOP_MASK">TOP_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TopToBottom">TopToBottom</a></span></code></th>
<td class="colLast">
<div class="block">Provides a horizontal elbow edge.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#vertBendProportion">vertBendProportion</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#VERTEX_MASK">VERTEX_MASK</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#vertexSeperations">vertexSeperations</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static double[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#wayPoints1">wayPoints1</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxEdgeStyle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="EntityRelation">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EntityRelation</h4>
<pre>public static&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a> EntityRelation</pre>
<div class="block">Provides an entity relation style for edges (as used in database
 schema diagrams).</div>
</li>
</ul>
<a id="Loop">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Loop</h4>
<pre>public static&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a> Loop</pre>
<div class="block">Provides a self-reference, aka. loop.</div>
</li>
</ul>
<a id="ElbowConnector">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ElbowConnector</h4>
<pre>public static&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a> ElbowConnector</pre>
<div class="block">Uses either SideToSide or TopToBottom depending on the horizontal
 flag in the cell style. SideToSide is used if horizontal is true or
 unspecified.</div>
</li>
</ul>
<a id="SideToSide">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SideToSide</h4>
<pre>public static&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a> SideToSide</pre>
<div class="block">Provides a vertical elbow edge.</div>
</li>
</ul>
<a id="TopToBottom">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TopToBottom</h4>
<pre>public static&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a> TopToBottom</pre>
<div class="block">Provides a horizontal elbow edge.</div>
</li>
</ul>
<a id="SegmentConnector">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SegmentConnector</h4>
<pre>public static&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a> SegmentConnector</pre>
<div class="block">Implements an orthogonal edge style. Use <mxEdgeSegmentHandler>
 as an interactive handler for this style.</div>
</li>
</ul>
<a id="orthBuffer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orthBuffer</h4>
<pre>public static&nbsp;double orthBuffer</pre>
</li>
</ul>
<a id="dirVectors">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dirVectors</h4>
<pre>public static&nbsp;double[][] dirVectors</pre>
</li>
</ul>
<a id="wayPoints1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wayPoints1</h4>
<pre>public static&nbsp;double[][] wayPoints1</pre>
</li>
</ul>
<a id="routePatterns">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>routePatterns</h4>
<pre>public static&nbsp;int[][][] routePatterns</pre>
<div class="block">The default routing patterns for orthogonal connections</div>
</li>
</ul>
<a id="inlineRoutePatterns">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inlineRoutePatterns</h4>
<pre>public static&nbsp;int[][][] inlineRoutePatterns</pre>
<div class="block">Overriden routing patterns for orthogonal connections
 where the vertices have</div>
</li>
</ul>
<a id="vertexSeperations">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vertexSeperations</h4>
<pre>public static&nbsp;double[] vertexSeperations</pre>
</li>
</ul>
<a id="limits">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>limits</h4>
<pre>public static&nbsp;double[][] limits</pre>
</li>
</ul>
<a id="LEFT_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEFT_MASK</h4>
<pre>public static&nbsp;int LEFT_MASK</pre>
</li>
</ul>
<a id="TOP_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOP_MASK</h4>
<pre>public static&nbsp;int TOP_MASK</pre>
</li>
</ul>
<a id="RIGHT_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RIGHT_MASK</h4>
<pre>public static&nbsp;int RIGHT_MASK</pre>
</li>
</ul>
<a id="BOTTOM_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOTTOM_MASK</h4>
<pre>public static&nbsp;int BOTTOM_MASK</pre>
</li>
</ul>
<a id="LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEFT</h4>
<pre>public static&nbsp;int LEFT</pre>
</li>
</ul>
<a id="TOP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOP</h4>
<pre>public static&nbsp;int TOP</pre>
</li>
</ul>
<a id="RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RIGHT</h4>
<pre>public static&nbsp;int RIGHT</pre>
</li>
</ul>
<a id="BOTTOM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOTTOM</h4>
<pre>public static&nbsp;int BOTTOM</pre>
</li>
</ul>
<a id="SIDE_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SIDE_MASK</h4>
<pre>public static&nbsp;int SIDE_MASK</pre>
</li>
</ul>
<a id="CENTER_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CENTER_MASK</h4>
<pre>public static&nbsp;int CENTER_MASK</pre>
</li>
</ul>
<a id="SOURCE_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOURCE_MASK</h4>
<pre>public static&nbsp;int SOURCE_MASK</pre>
</li>
</ul>
<a id="TARGET_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_MASK</h4>
<pre>public static&nbsp;int TARGET_MASK</pre>
</li>
</ul>
<a id="VERTEX_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERTEX_MASK</h4>
<pre>public static&nbsp;int VERTEX_MASK</pre>
</li>
</ul>
<a id="vertBendProportion">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vertBendProportion</h4>
<pre>public static&nbsp;double vertBendProportion</pre>
</li>
</ul>
<a id="hozBendProportion">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hozBendProportion</h4>
<pre>public static&nbsp;double hozBendProportion</pre>
</li>
</ul>
<a id="OrthConnector">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OrthConnector</h4>
<pre>public static&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a> OrthConnector</pre>
<div class="block">An orthogonal connector that avoids connecting vertices and 
 respects port constraints</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxEdgeStyle</h4>
<pre>public&nbsp;mxEdgeStyle()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxEdgeStyle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
